USE COWS
GO

ALTER TABLE dbo.LK_VAS_TYPE DROP CONSTRAINT UX01_LK_VAS_TYPE
GO

ALTER TABLE dbo.LK_VAS_TYPE
ADD [EVENT_TYPE_ID] SMALLINT NULL
GO

UPDATE dbo.LK_VAS_TYPE SET EVENT_TYPE_ID=3


ALTER TABLE dbo.LK_VAS_TYPE
ALTER COLUMN [EVENT_TYPE_ID] SMALLINT NOT NULL
GO

ALTER TABLE [dbo].[LK_VAS_TYPE]  ADD  CONSTRAINT [FK04_LK_VAS_TYPE] FOREIGN KEY([EVENT_TYPE_ID])
REFERENCES [dbo].[LK_EVENT_TYPE] ([EVENT_TYPE_ID])
GO

ALTER TABLE dbo.LK_VAS_TYPE
ADD CONSTRAINT UX01_LK_VAS_TYPE UNIQUE (VAS_TYPE_DES, EVENT_TYPE_ID);   
GO


ALTER TABLE [dbo].[MPLS_EVENT_VAS_TYPE]  DROP CONSTRAINT [FK01_MPLS_EVENT_VAS_TYPE]
GO

ALTER TABLE [dbo].[MPLS_EVENT_VAS_TYPE]  ADD CONSTRAINT [FK01_MPLS_EVENT_VAS_TYPE] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

IF EXISTS (select 'X' from INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME='FK01_MPLS_EVENT_VAS_TYPE_arch')
BEGIN
	ALTER TABLE [arch].[MPLS_EVENT_VAS_TYPE]  DROP CONSTRAINT [FK01_MPLS_EVENT_VAS_TYPE_arch]
	ALTER TABLE [arch].[MPLS_EVENT_VAS_TYPE]  ADD CONSTRAINT [FK01_MPLS_EVENT_VAS_TYPE_arch] FOREIGN KEY([EVENT_ID])
	REFERENCES [dbo].[EVENT] ([EVENT_ID])
END


IF EXISTS (select 'X' from INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME='FK02_MPLS_EVENT_VAS_TYPE_arch')
BEGIN
	ALTER TABLE arch.MPLS_EVENT_VAS_TYPE DROP CONSTRAINT FK02_MPLS_EVENT_VAS_TYPE_arch
END

IF EXISTS (select 'X' from INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME='FK02_MPLS_EVENT_VAS_TYPE')
BEGIN
	ALTER TABLE dbo.MPLS_EVENT_VAS_TYPE DROP CONSTRAINT FK02_MPLS_EVENT_VAS_TYPE
END

ALTER TABLE dbo.LK_VAS_TYPE DROP CONSTRAINT PK_LK_VAS_TYPE
GO

ALTER TABLE dbo.LK_VAS_TYPE
ALTER COLUMN VAS_TYPE_ID TINYINT NOT NULL
GO

ALTER TABLE dbo.LK_VAS_TYPE
ADD CONSTRAINT [PK_LK_VAS_TYPE] PRIMARY KEY CLUSTERED 
(
	VAS_TYPE_ID ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

IF EXISTS (select 'X' from INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME='PK_MPLS_EVENT_VAS_TYPE')
BEGIN
	ALTER TABLE dbo.MPLS_EVENT_VAS_TYPE DROP CONSTRAINT PK_MPLS_EVENT_VAS_TYPE
END

ALTER TABLE dbo.MPLS_EVENT_VAS_TYPE
ALTER COLUMN VAS_TYPE_ID TINYINT NOT NULL
GO

IF EXISTS (SELECT 'X' FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='MPLS_EVENT_VAS_TYPE' AND TABLE_SCHEMA='ARCH')
BEGIN
	IF EXISTS (select 'X' from INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME='PK_MPLS_EVENT_VAS_TYPE_arch')
	BEGIN
		ALTER TABLE arch.MPLS_EVENT_VAS_TYPE DROP CONSTRAINT PK_MPLS_EVENT_VAS_TYPE_arch
	END
	
	ALTER TABLE arch.MPLS_EVENT_VAS_TYPE
	ALTER COLUMN VAS_TYPE_ID TINYINT NOT NULL

	ALTER TABLE [arch].MPLS_EVENT_VAS_TYPE  ADD  CONSTRAINT [FK02_MPLS_EVENT_VAS_TYPE_arch] FOREIGN KEY([VAS_TYPE_ID])
	REFERENCES [dbo].[LK_VAS_TYPE] ([VAS_TYPE_ID])

	ALTER TABLE arch.MPLS_EVENT_VAS_TYPE
	ADD [ID] INT NOT NULL

	ALTER TABLE arch.MPLS_EVENT_VAS_TYPE
	ADD CONSTRAINT [PK_MPLS_EVENT_VAS_TYPE_arch] PRIMARY KEY CLUSTERED 
	(
		[ID] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

	ALTER TABLE arch.MPLS_EVENT_VAS_TYPE
	ADD CONSTRAINT UX01_MPLS_EVENT_VAS_TYPE_arch UNIQUE (EVENT_ID, VAS_TYPE_ID)  
END

ALTER TABLE [dbo].MPLS_EVENT_VAS_TYPE  ADD  CONSTRAINT [FK02_MPLS_EVENT_VAS_TYPE] FOREIGN KEY([VAS_TYPE_ID])
REFERENCES [dbo].[LK_VAS_TYPE] ([VAS_TYPE_ID])
GO

ALTER TABLE dbo.MPLS_EVENT_VAS_TYPE
ADD [ID] INT IDENTITY(1,1) NOT NULL
GO

ALTER TABLE dbo.MPLS_EVENT_VAS_TYPE
ADD CONSTRAINT [PK_MPLS_EVENT_VAS_TYPE] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE dbo.MPLS_EVENT_VAS_TYPE
ADD CONSTRAINT UX01_MPLS_EVENT_VAS_TYPE UNIQUE (EVENT_ID, VAS_TYPE_ID);   
GO

-- FT implementation
ALTER TABLE dbo.REDSGN_DEVICES_INFO
ADD [SC_CD] CHAR(1) NULL
GO

ALTER TABLE dbo.MDS_EVENT_ODIE_DEV
ADD [SC_CD] CHAR(1) NULL
GO

IF EXISTS (SELECT 'X' FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='MDS_EVENT_ODIE_DEV' AND TABLE_SCHEMA='ARCH')
BEGIN
	ALTER TABLE arch.MDS_EVENT_ODIE_DEV
	ADD [SC_CD] CHAR(1) NULL
	
	ALTER TABLE arch.MDS_EVENT_ODIE_DEV
	ALTER COLUMN [OPTOUT_CD] BIT NULL
END

ALTER TABLE dbo.MDS_EVENT
ADD [FRCDFT_CD] BIT NULL
GO

IF EXISTS (SELECT 'X' FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='MDS_EVENT' AND TABLE_SCHEMA='ARCH')
BEGIN
	ALTER TABLE arch.MDS_EVENT
	ADD [FRCDFT_CD] BIT NULL
END

ALTER TABLE dbo.MDS_EVENT_ODIE_DEV
ALTER COLUMN [OPTOUT_CD] BIT NULL
GO

ALTER TABLE dbo.LK_USER
ADD [EVENT_QTY] SMALLINT NULL
GO

ALTER TABLE dbo.EVENT_HIST
ALTER COLUMN [PRE_CFG_CMPLT_CD] CHAR(1) NULL
GO

IF EXISTS (SELECT 'X' FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='EVENT_HIST' AND TABLE_SCHEMA='ARCH')
BEGIN
	ALTER TABLE arch.EVENT_HIST
	ALTER COLUMN [PRE_CFG_CMPLT_CD] CHAR(1) NULL
END

ALTER TABLE dbo.LK_MDS_NTWK_ACTY_TYPE
ALTER COLUMN [NTWK_ACTY_TYPE_DES] varchar(100) NOT NULL
GO